package cn.stylefeng.team.view.api;

import cn.stylefeng.team.view.api.entity.View;
import cn.stylefeng.team.view.api.pojo.ViewConfig;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface ViewApi {

    ViewConfig getViewConfig(Long viewId, boolean filterNotShow);

    ViewConfig getViewConfigByBusinessId(Long businessId, boolean filterNotShow);

    Object getFormattedValue(String formatterName, Object originValue);

    List<View> getBusinessViewList(Long businessId);

    View getViewByViewId(Long viewId);

    List<View> getViewListByBusinessId(Long businessId);

    Map<Long, Integer> statViewNumber(Set<Long> businessIds);

    void createListView(Long businessId, Long businessCategoryId, ViewConfig viewConfig);

}
